Subject: [bug#49867] [PATCH 00/29] gnu: Add ocaml-cohttp-lwt-unix.

From: Xinglu Chen <[email-masked]>
Date: Mon, 09 Aug 2021 11:55:12 +0200

On Mon, Aug 09 2021, pukkamustard wrote:

> Xinglu Chen <[email-masked]> writes:
>
>> I managed to package ‘ocaml-afl-persistent’ with the attached 
>> patch,
>> but it doesn’t respect the ‘--without-tests’ transformation 
>> since the
>> tests are run as part of the build phase.
>
> Fantastic! With your patch I've added ocaml-crowbar and enabled 
> tests for ocaml-eqaf in V2.
>
> Tests for ocaml-crowbar are currently disabled as they require 
> ocaml-xmldiff which requires OCaml 4.12.0.
>
>> Thanks for working on this!
>
> Thank you for your comments!
>
> V2 follows.

Great, thank you for the update!

I noticed that the ‘ocaml-uucp’ package, which is an input for ‘ocaml-crowbar’, is
missing.   Otherwise v2 LGTM!